Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQBasicProperties

    java.lang.Object
      com.rabbitmq.client.impl.AMQContentHeader
          com.rabbitmq.client.impl.AMQBasicProperties

All Implemented Interfaces:
  BasicProperties, ContentHeader, java.lang.Cloneable

Direct Known Subclasses:
  AMQP.BasicProperties

    public abstract class AMQBasicProperties

extends AMQContentHeader
implements BasicProperties

Constructor Summary
`protected` | `AMQBasicProperties()`
`protected` | `AMQBasicProperties(java.io.DataInputStream in)`

Method Summary
`java.lang.Object` | `clone()`

Methods inherited from class com.rabbitmq.client.impl.AMQContentHeader
`appendPropertyDebugStringTo, getBodySize, toFrame, toString, writePropertiesTo`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rabbitmq.client.BasicProperties
`getAppId, getContentEncoding, getContentType, getCorrelationId, getDeliveryMode, getExpiration, getHeaders, getMessageId, getPriority, getReplyTo, getTimestamp, getType, getUserId, setAppId, setContentEncoding, setContentType, setCorrelationId, setDeliveryMode, setExpiration, setHeaders, setMessageId, setPriority, setReplyTo, setTimestamp, setType, setUserId`

Methods inherited from interface com.rabbitmq.client.ContentHeader
`getClassId, getClassName`

Constructor Detail

### AMQBasicProperties

    protected AMQBasicProperties()

### AMQBasicProperties

    protected AMQBasicProperties(java.io.DataInputStream in)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `AMQContentHeader`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD